Added dependency for libredline, post-installation will add the needed entries in...
authorflorian <florian@3c298f89-4303-0410-b956-a3cf2f4a3e73>
Fri, 27 Jan 2006 08:19:13 +0000 (08:19 +0000)
committerflorian <florian@3c298f89-4303-0410-b956-a3cf2f4a3e73>
Fri, 27 Jan 2006 08:19:13 +0000 (08:19 +0000)
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@3052 3c298f89-4303-0410-b956-a3cf2f4a3e73

package/atftp/Config.in
package/atftp/ipkg/atftp.control
package/atftp/ipkg/atftpd.control
package/atftp/ipkg/files/postinst [new file with mode: 0755]

index 32ab951..296faec 100644 (file)
@@ -4,6 +4,7 @@ config BR2_COMPILE_ATFTP
        tristate
        default n
        depends BR2_PACKAGE_ATFTP || BR2_PACKAGE_ATFTPD
+       select BR2_PACKAGE_LIBREADLINE
        
 config BR2_PACKAGE_ATFTP
        prompt "atftp............................. TFTP client"
index d2083fc..ca4d86a 100644 (file)
@@ -2,3 +2,4 @@ Package: atftp
 Priority: optional
 Section: net
 Description: tftp client
+Depends: libreadline
index efb4029..acdd2f1 100644 (file)
@@ -2,3 +2,4 @@ Package: atftpd
 Priority: optional
 Section: net
 Description: tftp server
+Depends: libreadline
diff --git a/package/atftp/ipkg/files/postinst b/package/atftp/ipkg/files/postinst
new file mode 100755 (executable)
index 0000000..a296449
--- /dev/null
@@ -0,0 +1,8 @@
+#!/bin/sh
+grep -q '^tftp[[:space:]]*69/tcp' ${IPKG_INSTROOT}/etc/services 2>/dev/null
+if [ $? -ne 0 ]; then
+       echo "tftp            69/tcp" >>${IPKG_INSTROOT}/etc/services
+       echo "tftp            69/udp" >>${IPKG_INSTROOT}/etc/services
+       echo "tftp-mcast    1758/tcp" >>${IPKG_INSTROOT}/etc/services
+       echo "tftp-mcast    1758/udp" >>${IPKG_INSTROOT}/etc/services
+fi